# Replace all attached sources

Canonical: https://docs.shumoku.dev/en/server/next/api/putTopologiesByTopologyIdSources
Language: en
Server documentation version: next
Product version: 0.1.6-beta.4
Channel: development

This documentation describes the Server currently in development.

Shumoku Server API · 0.1.6-beta.4 · Topology Sources

# Replace all attached sources

[OpenAPI source](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)

```
PUT /api/topologies/{topologyId}/sources
```

## Authentication

sessionCookie / bearerAuth

## Request body

`object` · application/json · required

## Responses

| Status | Description | Schema |
| --- | --- | --- |
| `200` | Attached sources | `TopologyDataSource[]` |
| `400` | The request did not match the API contract | `Error` |
| `404` | Resource not found | `Error` |
| `409` | Source already attached | `Error` |
| `500` | Operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/73ebc72ba0bc0d1caf74e1ed34c89a6debcb0e6a/apps/server/api/openapi.json)
